Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class JavaTypeWriter

    java.lang.Object
      |
      +--org.apache.axis.wsdl.toJava.JavaTypeWriter

All Implemented Interfaces:
  Generator

public class JavaTypeWriter
extends java.lang.Object
implements Generator

This is Wsdl2java's Type Writer. It writes the following files, as appropriate: .java, Holder.java.

Field Summary
`static java.lang.String` | `HOLDER_IS_NEEDED`

Constructor Summary
`JavaTypeWriter(Emitter emitter, TypeEntry type, SymbolTable symbolTable)` Constructor.

Method Summary
`void` | `generate()` Write all the service bindnigs: service and testcase.
`protected JavaWriter` | `getBeanHelperWriter(Emitter emitter, TypeEntry type, java.util.Vector elements, TypeEntry base, java.util.Vector attributes)` getHelperWriter
`protected JavaWriter` | `getBeanWriter(Emitter emitter, TypeEntry type, java.util.Vector elements, TypeEntry base, java.util.Vector attributes)` getBeanWriter
`protected JavaWriter` | `getEnumTypeWriter(Emitter emitter, TypeEntry type, java.util.Vector v)` getEnumWriter
`protected Generator` | `getHolderWriter(Emitter emitter, TypeEntry type)` getHolderWriter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HOLDER_IS_NEEDED

    public static final java.lang.String HOLDER_IS_NEEDED

Constructor Detail

### JavaTypeWriter

    public JavaTypeWriter(Emitter emitter,
                          TypeEntry type,
                          SymbolTable symbolTable)

  Constructor.

Method Detail

### generate

    public void generate()
                  throws java.io.IOException

  Write all the service bindnigs: service and testcase.
  Specified by:
    `generate` in interface `Generator`

### getEnumTypeWriter

    protected JavaWriter getEnumTypeWriter(Emitter emitter,
                                           TypeEntry type,
                                           java.util.Vector v)

  getEnumWriter

### getBeanWriter

    protected JavaWriter getBeanWriter(Emitter emitter,
                                       TypeEntry type,
                                       java.util.Vector elements,
                                       TypeEntry base,
                                       java.util.Vector attributes)

  getBeanWriter

### getBeanHelperWriter

    protected JavaWriter getBeanHelperWriter(Emitter emitter,
                                             TypeEntry type,
                                             java.util.Vector elements,
                                             TypeEntry base,
                                             java.util.Vector attributes)

  getHelperWriter

### getHolderWriter

    protected Generator getHolderWriter(Emitter emitter,
                                        TypeEntry type)

  getHolderWriter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.